Skip to content

registry.hub.docker.com/cyclonedx/cyclonedx-gomod:latest (alpine 3.18.6)

Trivy Image Scan

  • Image: registry.hub.docker.com/cyclonedx/cyclonedx-gomod:latest (alpine 3.18.6)
  • Scan date: 2024-07-25

registry.hub.docker.com/cyclonedx/cyclonedx-gomod:latest (alpine 3.18.6) (alpine)

Package Vulnerability ID Severity Installed Version Fixed Version Links
busybox CVE-2023-42363 MEDIUM 1.36.1-r5 1.36.1-r7
busybox CVE-2023-42364 MEDIUM 1.36.1-r5 1.36.1-r7
busybox CVE-2023-42365 MEDIUM 1.36.1-r5 1.36.1-r7
busybox CVE-2023-42366 MEDIUM 1.36.1-r5 1.36.1-r6
busybox-binsh CVE-2023-42363 MEDIUM 1.36.1-r5 1.36.1-r7
busybox-binsh CVE-2023-42364 MEDIUM 1.36.1-r5 1.36.1-r7
busybox-binsh CVE-2023-42365 MEDIUM 1.36.1-r5 1.36.1-r7
busybox-binsh CVE-2023-42366 MEDIUM 1.36.1-r5 1.36.1-r6
libcrypto3 CVE-2024-4603 MEDIUM 3.1.4-r5 3.1.5-r0
libcrypto3 CVE-2024-4741 MEDIUM 3.1.4-r5 3.1.6-r0
libcrypto3 CVE-2024-5535 MEDIUM 3.1.4-r5 3.1.6-r0
libcrypto3 CVE-2024-2511 LOW 3.1.4-r5 3.1.4-r6
libssl3 CVE-2024-4603 MEDIUM 3.1.4-r5 3.1.5-r0
libssl3 CVE-2024-4741 MEDIUM 3.1.4-r5 3.1.6-r0
libssl3 CVE-2024-5535 MEDIUM 3.1.4-r5 3.1.6-r0
libssl3 CVE-2024-2511 LOW 3.1.4-r5 3.1.4-r6
ssl_client CVE-2023-42363 MEDIUM 1.36.1-r5 1.36.1-r7
ssl_client CVE-2023-42364 MEDIUM 1.36.1-r5 1.36.1-r7
ssl_client CVE-2023-42365 MEDIUM 1.36.1-r5 1.36.1-r7
ssl_client CVE-2023-42366 MEDIUM 1.36.1-r5 1.36.1-r6
No Misconfigurations found

Node.js (node-pkg)

No Vulnerabilities found
No Misconfigurations found

usr/local/bin/cyclonedx-gomod (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
golang.org/x/net CVE-2023-45288 MEDIUM v0.21.0 0.23.0
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/bin/go (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/bin/gofmt (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/addr2line (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/asm (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/buildid (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/cgo (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/compile (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/covdata (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/cover (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/doc (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/fix (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found
Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/nm (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/objdump (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/pack (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/pprof (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/test2json (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/trace (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found

usr/local/go/pkg/tool/linux_amd64/vet (gobinary)

Package Vulnerability ID Severity Installed Version Fixed Version Links
stdlib CVE-2024-24790 CRITICAL 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24788 HIGH 1.22.2 1.22.3
stdlib CVE-2024-24789 MEDIUM 1.22.2 1.21.11, 1.22.4
stdlib CVE-2024-24791 MEDIUM 1.22.2 1.21.12, 1.22.5
No Misconfigurations found